Subject: Re: [PATCH 2.6 1/2] usb/input: Add relayfs support to appletouch driver

From: Michael Hanselmann <[email-masked]>
Date: Thu, 15 Dec 2005 09:37:11 +0100

On Wed, Dec 14, 2005 at 10:43:27PM -0500, Dmitry Torokhov wrote:
> The adjusted patch is below. I am still not sure if this really should be
> in mainline. Was it ever used?

That patch looks fine for me.

I would like to see it in mainline because it makes debugging and
figuring out new protocols much easier. For example, Apple changed the
protocol with the latest PowerBooks (see the other patch for that). Why
should everyone willing to implement a new protocol rewrite this code?